<?php

$mask = array(
	      'table' => 'einsatz',
	      'join' => array('personal ON einsatz.personal = personal.id',
			      'gebiet ON einsatz.gebiet = gebiet.id',
			      'gerate ON einsatz.geraet = gerate.id',
			      'anbaugeraete ON einsatz.anbaugeraet = anbaugeraete.id',
			      'arbeitsarten ON einsatz.arbeiten = arbeitsarten.id',
			      'kostenstellen ON einsatz.kostenstelle = kostenstellen.id',
			      ),
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    'sql' => 'einsatz.id',
					    ),
			      'datum' => array(
					    'name' => 'Datum',
					    'type' => 'date',
					    'width' => 70,
					    ),
			      'ordnung' => array(
					    'name' => 'Ord',
					    'type' => 'number',
					    'specs' => "ClassName: 'alignright'",
					    'width' => 20,
					    'visible' => false,
					    ),
			      'stunden' => array(
					    'name' => 'Std',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright'",
					    'width' => 50,
					    ),
			      'personal' => array(
					    'name' => 'Personal',
					    'sql' => 'personal.personal',
					    'width' => 150,
					    'specs' => "filterUI: 't'",
					    ),
			      'kostenstelle' => array(
					    'name' => 'Kostenstelle',
					    'sql' => 'kostenstellen.kostenstelle',
					    'width' => 150,
					    'specs' => "filterUI: 't'",
					    ),
			      'gebiet' => array(
					    'name' => 'Gebiet',
					    'sql' => 'gebiet.gebiet',
					    'width' => 150,
					    'specs' => "filterUI: 't'",
					    ),
			      'geraet' => array(
					    'name' => 'Gerät',
					    'sql' => 'gerate.geraet',
					    'width' => 150,
					    'specs' => "filterUI: 't'",
					    ),
			      'anbaugeraet' => array(
					    'name' => 'Anbaugerät',
					    'sql' => 'anbaugeraete.anbaugeraet',
					    'width' => 150,
					    'specs' => "filterUI: 't'",
					    ),
			      'arbeit' => array(
					    'name' => 'Arbeit',
					    'sql' => 'arbeitsarten.arbeitsart',
					    'width' => 150,
					    'specs' => "filterUI: 't'",
					    ),
			      'geraetstunden' => array(
					    'name' => 'Std/G',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright'",
					    'width' => 50,
					    ),
			      'anbaugeraetstunden' => array(
					    'name' => 'Std/A',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright'",
					    'width' => 50,
					    ),
			      'pers_kosten' => array(
					    'name' => 'Kosten/P',
					    'type' => 'number',
					    'specs' => "decPlaces: 4, ClassName: 'alignright'",
					    'width' => 80,
					    ),
			      'geraet_kosten' => array(
					    'name' => 'Kosten/G',
					    'type' => 'number',
					    'specs' => "decPlaces: 4, ClassName: 'alignright'",
					    'width' => 80,
					    ),
			      'anbauger_kosten' => array(
					    'name' => 'Kosten/A',
					    'type' => 'number',
					    'specs' => "decPlaces: 4, ClassName: 'alignright'",
					    'width' => 80,
					    ),
			      'akkord' => array(
					    'name' => 'Akkord',
					    'type' => 'number',
					    'specs' => "ClassName: 'alignright'",
					    'width' => 20,
					    'visible' => false,
					    ),
			      'anbauger_kstint' => array(
					    'name' => 'KstInt/A',
					    'type' => 'number',
					    'specs' => "decPlaces: 4, ClassName: 'alignright'",
					    'width' => 80,
					    ),
			      'geraet_kstint' => array(
					    'name' => 'KstInt/G',
					    'type' => 'number',
					    'specs' => "decPlaces: 4, ClassName: 'alignright'",
					    'width' => 80,
					    ),
			      'hhjahreinsatz' => array(
					    'name' => 'Jahreseinsatz',
					    'type' => 'number',
					    'specs' => "ClassName: 'alignright'",
					    'width' => 30,
					    'visible' => false,
					    ),
			      'eingabe' => array(
					    'name' => 'Edit',
					    'type' => 'date',
					    'width' => 70,
					    'visible' => false,
					    ),
# gewaesser          | integer                     |
			      ),
	      'rows' => 20,
	      );

?>
